=== extra/CMakeLists.txt ===
install(FILES xmoto.desktop DESTINATION share/applications)
install(FILES xmoto.xpm DESTINATION share/pixmaps)

install(FILES xmoto_icone_x.ico DESTINATION share/xmoto)
