=== debian/changelog ===
xmoto (0.6.0+repack-1) unstable; urgency=medium

  * New upstream release, merging most patches.
  * Depend on fonts-dejavu-core instead of ttf-dejavu-core.
    Closes: #946057.
  * Update debian/watch to download from GitHub.
  * Exclude the Windows translation tools.
  * Switch to debhelper compatibility level 12.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 04 Jun 2020 06:38:40 +0200
