## xmoto 0.6.1+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,5 +14,6 @@
 include(CPack)
 
 add_subdirectory(bin)
+add_subdirectory(doc)
 add_subdirectory(extra)
 #add_subdirectory(po)
