=== extra/CMakeLists.txt ===
if(NOT WIN32 AND NOT BUILD_MACOS_BUNDLE)
  install(FILES xmoto.desktop DESTINATION share/applications)
  install(FILES xmoto.xpm DESTINATION share/pixmaps)
  install(FILES xmoto_icone_x.ico DESTINATION share/xmoto)
endif()
