=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,7 @@
 option(PREFER_SYSTEM_ODE "Prefer system ODE" ON)
 option(PREFER_SYSTEM_XDG "Prefer system XDG" ON)
 option(ALLOW_DEV "Enable some development/debug features" OFF)
+option(BUILD_MACOS_BUNDLE "Build xmoto as a macOS Bundle" OFF)
 
 if(CMAKE_GENERATOR MATCHES "Ninja")
   message("-- Using Ninja, try to colorize")
@@ -39,8 +40,13 @@
 endif()
 find_package(PNG REQUIRED)
 
-find_package(Lua51)
+find_package(Lua)
 set(USE_SYSTEM_Lua $<AND:$<BOOL:${PREFER_SYSTEM_Lua}>,$<BOOL:${LUA51_FOUND}>,$<NOT:$<BOOL:${WIN32}>>>)
+if (NOT LUA_VERSION_STRING VERSION_LESS 5.2 AND LUA_VERSION_STRING VERSION_LESS 5.3)
+    add_definitions("-DLUA_COMPAT_ALL")
+elseif (LUA_VERSION_STRING VERSION_GREATER_EQUAL "5.3")
+    add_definitions("-DLUA_COMPAT_5_1")
+endif()
 
 # Can't disable yet
 if(ON OR USE_SDLGFX)
@@ -354,6 +360,13 @@
   xmscene/Zone.h
 )
 
+set(XMOTO_MACOS_ICON ${PROJECT_SOURCE_DIR}/extra/X-Moto.icns)
+
+set_source_files_properties(
+  ${XMOTO_MACOS_ICON} PROPERTIES
+  MACOSX_PACKAGE_LOCATION Resources
+)
+
 #if(STATIC_BUILD)
   #set(CMAKE_FIND_LIBRARY_SUFFIXES ".a")
   #set(BUILD_SHARED_LIBRARIES OFF)
@@ -374,22 +387,3 @@
   ${xmincludes_src}
   ${xmoto_src}
   ${xmscene_src}
-  $<$<PLATFORM_ID:Windows>:${PROJECT_SOURCE_DIR}/extra/xmoto.rc>
-)
-
-target_include_directories(xmoto
-  PRIVATE
-
-  "${PROJECT_SOURCE_DIR}/src"
-  "${LIBXML2_INCLUDE_DIR}"
-  "$<${USE_SYSTEM_Lua}:${LUA_INCLUDE_DIR}>"
-  "$<$<NOT:${USE_SYSTEM_Lua}>:${PROJECT_SOURCE_DIR}/vendor/lua/lua>"
-)
-
-target_link_libraries(xmoto PUBLIC
-  $<$<PLATFORM_ID:Windows>:userenv>
-
-  "$<${USE_SYSTEM_BZip2}:${BZIP2_LIBRARIES}>"
-  "$<$<NOT:${USE_SYSTEM_BZip2}>:bzip2>"
-  chipmunk
-  ${CURL_LIBRARIES}
