=== debian/changelog ===
xmoto (0.6.1+repack-9) unstable; urgency=medium

  [ Stephen Kitt ]
  * Make the autopkgtest abort early on errors other than ECONNREFUSED.
  * Mark xmoto-data as “Multi-Arch: foreign”.
  * Build-depend on libgl-dev only, instead of libgl1-mesa-dev.
  * Standards-Version 4.6.2, no change required.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Stephen Kitt <skitt@debian.org>  Sun, 05 Feb 2023 19:12:53 +0100

xmoto (0.6.1+repack-8) unstable; urgency=medium

  * Rework the autopkgtest: set up the signal to detect if the X-Moto
    server exits during the test, and repeat the connection test for up to
    60 seconds. Thanks to Simon McVittie for the suggestions!
    Closes: #1006815.

 -- Stephen Kitt <skitt@debian.org>  Fri, 15 Apr 2022 21:33:09 +0200

xmoto (0.6.1+repack-7) unstable; urgency=medium

  * Give X-Moto more time to start in the autopkgtests.

 -- Stephen Kitt <skitt@debian.org>  Sat, 30 Oct 2021 10:12:12 +0200

xmoto (0.6.1+repack-6) unstable; urgency=medium

  * Allow the autopkgtest to build with GCC 10 (thanks John Scott!).

 -- Stephen Kitt <skitt@debian.org>  Fri, 29 Oct 2021 13:22:17 +0200

xmoto (0.6.1+repack-5) unstable; urgency=medium

  [ John Scott ]
  * Add a superficial DEP-8 test that serving an X-Moto server works.

  [ Stephen Kitt ]
  * Drop the dh_auto_configure override, it’s obsolete since the switch
    to CMake. Closes: #997398.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 25 Oct 2021 13:20:47 +0200

xmoto (0.6.1+repack-4) unstable; urgency=medium

  * Initialise static and dynamic bodies using the correct constructors.
    Closes: #983493.
  * Standards-Version 4.5.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 26 Feb 2021 18:04:03 +0100

xmoto (0.6.1+repack-3) unstable; urgency=medium

  * Team upload.
  * Fixed xmoto-data: Broken links to DejaVu fonts. DejaVus TrueType fonts have
    moved. Updated symbolic links to point to the new location. Closes: #969909.

 -- Bruno Kleinert <fuddl@debian.org>  Wed, 09 Sep 2020 07:05:01 +0200

xmoto (0.6.1+repack-2) unstable; urgency=medium

  * Port to Chipmunk2D 7, and build using the packaged version.
    Closes: #623299.

 -- Stephen Kitt <skitt@debian.org>  Fri, 24 Jul 2020 11:12:03 +0200

xmoto (0.6.1+repack-1) unstable; urgency=medium

  * New upstream release, merging fix_segfault.patch.
  * Switch to debhelper compatibility level 13.

 -- Stephen Kitt <skitt@debian.org>  Tue, 30 Jun 2020 21:05:19 +0200
