=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Section: games
 Priority: optional
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libbz2-dev,
+               libchipmunk-dev,
                libcurl4-gnutls-dev,
-               libgl1-mesa-dev | libgl-dev,
+               libgl-dev,
                libjpeg-dev,
                liblua5.1-0-dev,
                libode-dev,
@@ -23,7 +24,7 @@
                libxdg-basedir-dev,
                libxml2-dev,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/games-team/xmoto
 Vcs-Git: https://salsa.debian.org/games-team/xmoto.git
 Homepage: http://xmoto.tuxfamily.org/
@@ -46,6 +47,7 @@
          fonts-dejavu-core,
          ${misc:Depends}
 Suggests: xmoto (>= ${source:Version})
+Multi-Arch: foreign
 Description: 2D motocross platform game - data files
  X-Moto is a challenging 2D motocross platform game, where physics play
  an all important role in the gameplay. You need to control your bike to
