=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,9 @@
 option(STATIC_BUILD "Build a static executable" OFF)
 option(USE_OPENGL "Build with OpenGL for graphics" ON)
-option(USE_SDLGFX "Build with SDL for graphics" OFF)
+option(USE_SDLGFX "Build with SDL2 for graphics" OFF)
 option(USE_GETTEXT "Build with Gettext for internationalization" ON)
 option(PREFER_SYSTEM_BZip2 "Prefer system BZip2" ON)
 option(PREFER_SYSTEM_Lua "Prefer system Lua" ON)
-option(PREFER_SYSTEM_ODE "Prefer system ODE" ON)
 option(PREFER_SYSTEM_XDG "Prefer system XDG" ON)
 option(ALLOW_DEV "Enable some development/debug features" OFF)
 option(BUILD_MACOS_BUNDLE "Build xmoto as a macOS Bundle" OFF)
@@ -19,6 +18,10 @@
   message("-- Using " ${CMAKE_GENERATOR})
 endif()
 
+if(POLICY CMP0072)
+  cmake_policy(SET CMP0072 NEW)
+endif()
+
 # find dependencies
 find_package(BZip2)
 set(USE_SYSTEM_BZip2 $<AND:$<BOOL:${PREFER_SYSTEM_BZip2}>,$<BOOL:${BZIP2_FOUND}>,$<NOT:$<BOOL:${WIN32}>>>)
@@ -33,15 +36,13 @@
 find_package(LibLZMA)
 find_package(LibXml2 REQUIRED)
 
-find_package(ODE)
-set(USE_SYSTEM_ODE $<AND:$<BOOL:${PREFER_SYSTEM_ODE}>,$<BOOL:${ODE_FOUND}>>)
 if(USE_OPENGL)
   find_package(OpenGL REQUIRED)
 endif()
 find_package(PNG REQUIRED)
 
 find_package(Lua)
-set(USE_SYSTEM_Lua $<AND:$<BOOL:${PREFER_SYSTEM_Lua}>,$<BOOL:${LUA51_FOUND}>,$<NOT:$<BOOL:${WIN32}>>>)
+set(USE_SYSTEM_Lua $<AND:$<BOOL:${PREFER_SYSTEM_Lua}>,$<BOOL:${LUA_FOUND}>,$<NOT:$<BOOL:${WIN32}>>>)
 if (NOT LUA_VERSION_STRING VERSION_LESS 5.2 AND LUA_VERSION_STRING VERSION_LESS 5.3)
     add_definitions("-DLUA_COMPAT_ALL")
 elseif (LUA_VERSION_STRING VERSION_GREATER_EQUAL "5.3")
@@ -50,10 +51,19 @@
 
 # Can't disable yet
 if(ON OR USE_SDLGFX)
-  find_package(SDL REQUIRED)
-  find_package(SDL_mixer REQUIRED)
-  find_package(SDL_net REQUIRED)
-  find_package(SDL_ttf REQUIRED)
+  # This is a workaround required on some systems that ship a broken sdl2-config.cmake
+  find_library(SDL2_LIBRARIES NAMES SDL2 SDL2main)
+  if(NOT SDL2_LIBRARIES)
+    find_package(SDL2 REQUIRED)
+
+    if("${SDL2_LIBRARIES}" STREQUAL "")
+      set(SDL2_LIBRARIES SDL2::SDL2)
+    endif()
+  endif()
+
+  find_package(SDL2_mixer REQUIRED)
+  find_package(SDL2_net REQUIRED)
+  find_package(SDL2_ttf REQUIRED)
 endif()
 
 find_package(SQLITE3 REQUIRED)
@@ -63,7 +73,17 @@
 
 find_package(ZLIB REQUIRED)
 
-# sources
+if(APPLE)
+  find_library(COREFOUNDATION_LIBRARY CoreFoundation)
+endif()
+
+# used by xdgbasedir and xmoto
+check_prototype_definition(mkdir
+  "int mkdir(const char *_Path)"
+  "0"
+  "sys/types.h;sys/stat.h"
+  MS_MKDIR
+)
 
 add_subdirectory("${PROJECT_SOURCE_DIR}/vendor/bzip2" bzip2)
 add_subdirectory("${PROJECT_SOURCE_DIR}/vendor/libccd" libccd)
@@ -73,6 +93,8 @@
 add_subdirectory("${PROJECT_SOURCE_DIR}/vendor/ode" ode)
 add_subdirectory("${PROJECT_SOURCE_DIR}/vendor/xdgbasedir" xdgbasedir)
 add_subdirectory("${PROJECT_SOURCE_DIR}/vendor/glad" glad)
+
+configure_file(common/XMBuildConfig.h.in common/XMBuildConfig.h)
 
 set(common_src
   common/BuildConfig.h
@@ -91,6 +113,8 @@
   common/Packager.h
   common/PolyDraw.cpp
   common/PolyDraw.h
+  common/TextEdit.cpp
+  common/TextEdit.h
   common/Theme.cpp
   common/Theme.h
   common/VBezier.cpp
@@ -110,7 +134,6 @@
   common/XMArgs.h
   common/XMBuild.cpp
   common/XMBuild.h
-  common/XMBuild_info.h
   common/XMSession.cpp
   common/XMSession.h
   common/XMSession_default.cpp
@@ -171,6 +194,7 @@
   helpers/Environment.cpp helpers/Environment.h
   helpers/FileCompression.cpp helpers/FileCompression.h
   helpers/HighPrecisionTimer.h
+  helpers/ScopedTimer.h
   helpers/Log.cpp helpers/Log.h
   helpers/MultiSingleton.h
   helpers/Random.cpp helpers/Random.h
@@ -178,8 +202,9 @@
   helpers/Singleton.h
   helpers/SwapEndian.cpp helpers/SwapEndian.h
   helpers/System.cpp helpers/System.h
+  helpers/Text.cpp helpers/Text.h
   helpers/TFunctor.h
-  helpers/Text.cpp helpers/Text.h
+  helpers/Time.cpp helpers/Time.h
   helpers/VExcept.h
   helpers/VMath.cpp helpers/VMath.h
   helpers/iqsort.h
@@ -297,7 +322,6 @@
   xmoto/GameEvents.cpp xmoto/GameEvents.h
   xmoto/GameInit.cpp xmoto/GameText.h
   xmoto/GeomsManager.cpp xmoto/GeomsManager.h
-  xmoto/Input.cpp xmoto/Input.h
   xmoto/LevelsManager.cpp xmoto/LevelsManager.h
   xmoto/LevelsText.h
   xmoto/LuaLibBase.cpp xmoto/LuaLibBase.h
@@ -316,8 +340,14 @@
   xmoto/VideoRecorder.cpp xmoto/VideoRecorder.h
   xmoto/VirtualLevelsList.cpp xmoto/VirtualLevelsList.h
   xmoto/XMDemo.cpp xmoto/XMDemo.h
-  xmoto/XMKey.cpp xmoto/XMKey.h
   xmoto/sqlqueries.h
+)
+
+set(xmoto_input_src
+  xmoto/input/Input.cpp xmoto/input/Input.h
+  xmoto/input/InputLegacy.cpp xmoto/input/InputLegacy.h
+  xmoto/input/Joystick.cpp xmoto/input/Joystick.h
+  xmoto/input/XMKey.cpp xmoto/input/XMKey.h
 )
 
 set(xmscene_src
@@ -352,38 +382,3 @@
   xmscene/Scene.cpp
   xmscene/Scene.h
   xmscene/ScriptTimer.cpp
-  xmscene/ScriptTimer.h
-  xmscene/Serializer.cpp
-  xmscene/SkyApparence.cpp
-  xmscene/SkyApparence.h
-  xmscene/Zone.cpp
-  xmscene/Zone.h
-)
-
-set(XMOTO_MACOS_ICON ${PROJECT_SOURCE_DIR}/extra/X-Moto.icns)
-
-set_source_files_properties(
-  ${XMOTO_MACOS_ICON} PROPERTIES
-  MACOSX_PACKAGE_LOCATION Resources
-)
-
-#if(STATIC_BUILD)
-  #set(CMAKE_FIND_LIBRARY_SUFFIXES ".a")
-  #set(BUILD_SHARED_LIBRARIES OFF)
-  #set(CMAKE_EXE_LINKER_FLAGS "-static")
-#endif()
-
-add_executable(xmoto
-  ${common_src}
-  ${db_src}
-  ${drawlib_src}
-  ${gui_src}
-  ${helpers_src}
-  ${image_src}
-  ${include_src}
-  ${net_src}
-  ${states_src}
-  ${thread_src}
-  ${xmincludes_src}
-  ${xmoto_src}
-  ${xmscene_src}
