=== debian/changelog ===
xmoto (0.6.2+repack-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:40:06 +1100

xmoto (0.6.2+repack-2build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:36:44 +0000

xmoto (0.6.2+repack-2build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:45:47 +0000

xmoto (0.6.2+repack-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sun, 25 Jun 2023 15:22:05 +0200

xmoto (0.6.2+repack-1) experimental; urgency=medium

  * New upstream release, switching to SDL2. Closes: #1038490.
  * Enable LZMA support.
  * Drop gcc-4.7-fixes.patch, it’s no longer necessary.
  * Upgrade to Lua 5.4.

 -- Stephen Kitt <skitt@debian.org>  Mon, 13 Mar 2023 12:59:52 +0100
