=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: xmoto
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Miriam Ruiz <little_miry@yahoo.es>,
            Samuel Mimram <smimram@debian.org>,
            Barry deFreese <bdefreese@debian.org>,
@@ -12,14 +13,16 @@
                libchipmunk-dev,
                libcurl4-gnutls-dev,
                libgl-dev,
+               libglu1-mesa-dev | libglu-dev,
                libjpeg-dev,
-               liblua5.1-0-dev,
+               liblua5.4-dev,
+               liblzma-dev,
                libode-dev,
                libpng-dev,
-               libsdl-mixer1.2-dev,
-               libsdl-net1.2-dev,
-               libsdl-ttf2.0-dev,
-               libsdl1.2-dev,
+               libsdl2-dev,
+               libsdl2-mixer-dev,
+               libsdl2-net-dev,
+               libsdl2-ttf-dev,
                libsqlite3-dev,
                libxdg-basedir-dev,
                libxml2-dev,
