=== debian/tests/control ===
Tests: start-server
Depends: @, gcc, libc-dev
Restrictions: isolation-container, superficial
