## xmoto 0.6.3+repack

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,11 @@
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMake")
 
 set(APP_NAME "X-Moto")
-set(APP_COPYRIGHT_YEAR "2023")
+set(APP_COPYRIGHT_YEAR "2025")
 
 set(APP_VERSION_MAJOR 0)
 set(APP_VERSION_MINOR 6)
-set(APP_VERSION_PATCH 2)
+set(APP_VERSION_PATCH 3)
 
 set(APP_VERSION_STRING "\
 ${APP_VERSION_MAJOR}.\
@@ -18,6 +18,7 @@
 include(CheckCXXCompilerFlag)
 include(CheckPrototypeDefinition)
 include(CheckSymbolExists)
+include(TestBigEndian)
 
 include(CMake/mxe.cmake)
