=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,8 @@
 endif()
 
 # find dependencies
+find_package(PkgConfig)
+
 find_package(BZip2)
 set(USE_SYSTEM_BZip2 $<AND:$<BOOL:${PREFER_SYSTEM_BZip2}>,$<BOOL:${BZIP2_FOUND}>,$<NOT:$<BOOL:${WIN32}>>>)
 
@@ -39,7 +41,18 @@
 if(USE_OPENGL)
   find_package(OpenGL REQUIRED)
 endif()
-find_package(PNG REQUIRED)
+
+if(APPLE)
+  if(NOT PKG_CONFIG_FOUND)
+    message(FATAL_ERROR "pkg-config is required on macOS to find the correct libpng headers")
+  endif()
+
+  pkg_check_modules(LIBPNG libpng16 REQUIRED)
+  set(PNG_LIBRARIES "${LIBPNG_LINK_LIBRARIES}")
+  set(PNG_INCLUDE_DIRS "${LIBPNG_INCLUDE_DIRS}")
+else()
+  find_package(PNG REQUIRED)
+endif()
 
 find_package(Lua)
 set(USE_SYSTEM_Lua $<AND:$<BOOL:${PREFER_SYSTEM_Lua}>,$<BOOL:${LUA_FOUND}>,$<NOT:$<BOOL:${WIN32}>>>)
@@ -368,17 +381,3 @@
   xmscene/Block.cpp
   xmscene/Block.h
   xmscene/Camera.cpp
-  xmscene/Camera.h
-  xmscene/ChipmunkWorld.cpp
-  xmscene/ChipmunkWorld.h
-  xmscene/Entity.cpp
-  xmscene/Entity.h
-  xmscene/GhostTrail.cpp
-  xmscene/GhostTrail.h
-  xmscene/Level.cpp
-  xmscene/Level.h
-  xmscene/PhysicsSettings.cpp
-  xmscene/PhysicsSettings.h
-  xmscene/Scene.cpp
-  xmscene/Scene.h
-  xmscene/ScriptTimer.cpp
