=== vendor/xdgbasedir/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
   src/basedir.c
 )
 
-set(MS_MKDIR $<BOOL:${MSYS}>)
 target_compile_definitions(xdgbasedir PUBLIC MS_MKDIR=$<BOOL:${MS_MKDIR}>)
 
 target_include_directories(xdgbasedir
