=== debian/changelog ===
xmoto (0.6.3+repack-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:23:25 +0200

xmoto (0.6.3+repack-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 05 Apr 2025 21:08:29 +0200

xmoto (0.6.2+repack-3) unstable; urgency=medium

  * Clean up the list of uploaders. Thanks to all the previous
    maintainers!
  * Standards-Version 4.7.2, no change required.
  * Use the compiler’s default C++ standard. Closes: #1101260.

 -- Stephen Kitt <skitt@debian.org>  Tue, 25 Mar 2025 23:19:23 +0100
