=== debian/control ===
--- 
+++ 
@@ -1,10 +1,6 @@
 Source: xmoto
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Miriam Ruiz <little_miry@yahoo.es>,
-           Samuel Mimram <smimram@debian.org>,
-           Barry deFreese <bdefreese@debian.org>,
-           Stephen Kitt <skitt@debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Stephen Kitt <skitt@debian.org>
 Section: games
 Priority: optional
 Build-Depends: cmake,
@@ -27,10 +23,10 @@
                libxdg-basedir-dev,
                libxml2-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/games-team/xmoto
 Vcs-Git: https://salsa.debian.org/games-team/xmoto.git
-Homepage: http://xmoto.tuxfamily.org/
+Homepage: https://xmoto.org/
 Rules-Requires-Root: no
 
 Package: xmoto
